%global         momorel 1

Name:           perl-Email-Valid
Version:        1.195
Release:        %{momorel}m%{?dist}
Summary:        Check validity of Internet email addresses
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Email-Valid/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJBS/Email-Valid-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.006
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-MailTools
BuildRequires:  perl-Net-DNS
BuildRequires:  perl-Test-Simple
Requires:       perl-MailTools
Requires:       perl-Net-DNS
Requires:       perl-Test-Simple
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
This module determines whether an email address is well-formed, and
optionally, whether a mail host exists for the domain.

%prep
%setup -q -n Email-Valid-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Email/*
%{_mandir}/man3/*

%changelog
* Sun Oct  5 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.195-1m)
- update to 1.195

* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.194-1m)
- rebuild against perl-5.20.0
- update to 1.194

* Wed Apr  2 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.193-1m)
- update to 1.193

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.192-2m)
- rebuild against perl-5.18.2

* Sun Nov 10 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.192-1m)
- update to 1.192

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.190-7m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.190-6m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.190-5m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.190-4m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.190-3m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.190-2m)
- rebuild against perl-5.16.0

* Tue Mar 27 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.190-1m)
- update to 0.190

* Fri Mar 16 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.188-1m)
- update to 0.188

* Sat Mar 10 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.187-1m)
- update to 0.187

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.185-2m)
- rebuild against perl-5.14.2

* Fri Aug 12 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.185-1m)
- update to 0.185

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.184-7m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.184-6m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.184-5m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.184-4m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.184-3m)
- rebuild against perl-5.12.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.184-2m)
- full rebuild for mo7 release

* Wed Jun 30 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.184-1m)
- update to 0.184

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.182-5m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.182-4m)
- rebuild against perl-5.12.0

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.182-3m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.182-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Oct 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.182-1m)
- update to 0.182

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.181-2m)
- rebuild against perl-5.10.1

* Tue May  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.181-1m)
- update to 0.181

* Mon Feb  9 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.180-1m)
- update to 0.180

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.179-5m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.179-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.179-3m)
- %%NoSource -> NoSource

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.179-2m)
- use vendor

* Tue Dec  5 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.179-1m)
- update to 0.179

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.176-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
